Default 'my page' widgets lost after adding first widget.

2010-05-17 14:24 - Dominic Clifton

Status: Closed Start date: 2010-05-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: My page Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 2.2.1

Description

Steps to repeat:

1. login with a new user account

2. click 'my page'

3. click 'personalize'

4. choose a widget, click 'add'

5. observe new widget it added to the page, along side existing widgets.

6. click 'my page' to reload the page.

7. observe that only the just-added widget is displayed and the previous default widgets are no longer present.

Expected behviour

Default widgets are displayed on subsequent page views along side newly added widget.

Notes

This occurs on www.redmine.org as of 17/May/2010 and on my local instance.

History

#1 - 2010-05-17 15:44 - Holger Just

- File keep_default_widgets.diff added

I can confirm the issue on a local trunk installation. It does only occur for new users which have not yet an entry in the user_preferences table.

Following r3194, the my page layout is initialized empty instead with DEFAULT_LAYOUT. The attached patch fixes this and provides some tests.

#2 - 2013-01-14 15:24 - Daniel Felix

- Category set to My page

- Status changed from New to Confirmed

- Affected version (unused) set to 2.2.1

- Affected version set to 2.2.1

I can confirm this misbehaviour.

This is still included in Redmine 2.2.1.

The patch looks good in my opinion. It should correct this bug.

#3 - 2013-01-14 15:53 - Etienne Massip

- Target version set to Candidate for next minor release

There's even a test, woohoo.

#4 - 2018-02-25 17:12 - Marius BĂLTEANU

- Status changed from Confirmed to Closed

- Resolution set to Wont fix
http://www.redmine.org
https://www.redmine.org/projects/redmine/repository/svn/revisions/3194


I'm closing this issue because "My page" was refactorized in 3.4.0 and "Personalize" mode doesn't exists anymore (the widgets are edited inline).

Please reopen it if I'm wrong.

#5 - 2018-02-25 17:12 - Marius BĂLTEANU

- Target version deleted (Candidate for next minor release)

Files

keep_default_widgets.diff 3.1 KB 2010-05-17 Holger Just
